## scikit-learn 0.14.1

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
CYTHON ?= cython
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test

clean-pyc:
	find sklearn -name "*.pyc" | xargs rm -f

clean-so:
	find sklearn -name "*.so" | xargs rm -f
	find sklearn -name "*.pyd" | xargs rm -f
	find sklearn -name "__pycache__" | xargs rm -rf

clean-build:
	rm -rf build
	rm -rf dist

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(NOSETESTS) -s -v sklearn
test-doc:
	$(NOSETESTS) -s -v doc/ doc/modules/ doc/datasets/ \
	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s -v --with-coverage sklearn

test: test-code test-doc

trailing-spaces:
	find sklearn -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'

cython:
	find sklearn -name "*.pyx" | xargs $(CYTHON)

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

doc: inplace
	make -C doc html

doc-noplot: inplace
	make -C doc html-noplot

code-analysis:
	flake8 sklearn | grep -v __init__ | grep -v external
	pylint -E -i y sklearn/ -d E1103,E0611,E1101

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex latexpdf changes linkcheck doctest

all: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/scikit-learn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/scikit-learn.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

download-data:
	python -c "from sklearn.datasets.lfw import check_fetch_lfw; check_fetch_lfw()"

=== sklearn/svm/src/blas/Makefile ===
AR     = ar rcv
RANLIB = ranlib 

HEADERS = blas.h blas.h blasp.h
FILES = dnrm2.o daxpy.o ddot.o dscal.o 

CFLAGS = $(OPTFLAGS) 
FFLAGS = $(OPTFLAGS)

blas: $(FILES) $(HEADERS)
	$(AR) blas.a $(FILES)  
	$(RANLIB) blas.a

clean:
	- rm -f *.o
	- rm -f *.a
	- rm -f *~

.c.o:
	$(CC) $(CFLAGS) -c $*.c

=== debian/changelog ===
scikit-learn (0.14.1-2) unstable; urgency=low

  * Disable reporting to google analytics -- we haven't got any permission from
    the users allowing to report back to 3rd party services
    (thanks Ambrose Andrews, Closes: #730259)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 24 Nov 2013 10:17:29 -0500

scikit-learn (0.14.1-1) unstable; urgency=low

  * The freshiest upstream release
    - addressed 'clean -a' issue, thus removing the dh_auto_clean override
  * debian/rules
    - if available cython >= 0.19 -- re-build Cythonized sources while
      monitoring for changes using dh_autoreconf

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 08 Aug 2013 14:06:48 -0400

scikit-learn (0.14-1) UNRELEASED; urgency=low

  * The fresh upstream release
  * debian/rules
    - overload dh_auto_clean to call "clean" without -a
      (see https://github.com/scikit-learn/scikit-learn/issues/2351)
  * debian/control
    - Build-Depends:
      - multilined
      - dropped swig (not needed since awhile)
      - moved sphinx, PIL, and graphviz to Build-Depends-Indep since
        needed only for -doc package
      - do not build documentation when sphinx < 1.1.3 due to problems
        with unicode in earlier present on older Debian/Ubuntu's versions
    - boosted policy to 3.9.4 (no further changes)
    - migrate from python-support to dh_python2

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Aug 2013 20:16:04 -0400

scikit-learn (0.14~a1+git20-gc9ba2c3-1) UNRELEASED; urgency=low

  * Fresh pre-release snapshot
  * debian/control
    - python-imaing to build-depends (for documentation) and removed not
      needed XS-DM-Upload-Allowed

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Aug 2013 10:56:38 -0400

=== debian/control ===
Source: scikit-learn
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50), dh-autoreconf,
               python-all-dev (>= 2.5),
               cython (>= 0.12~),
               python-setuptools,
               python-numpy, python-scipy,
               libsvm-dev (>= 2.84.0),
               python-nose,
               python-matplotlib,
               python-joblib (>= 0.4.5), python-support
Build-Depends-Indep:
               python-sphinx (>= 1.0), python-imaging, graphviz,
Standards-Version: 3.9.4
XS-Python-Version: >= 2.6
Homepage: http://scikit-learn.sourceforge.net
Vcs-Browser: http://github.com/yarikoptic/scikit-learn
Vcs-Git: git://github.com/yarikoptic/scikit-learn.git

Package: python-sklearn
Replaces: python-scikits-learn (<< 0.9~)
Breaks: python-scikits-learn (<< 0.9~)
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
         python-joblib (>= 0.4.5),
Provides: ${python:Provides}
Recommends: python-nose, python-matplotlib
Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
Enhances: python-mvpa2, python-mdp
Description: Python modules for machine learning and data mining
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)


Package: python-sklearn-doc
Conflicts: python-scikits-learn-doc
Replaces: python-scikits-learn-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-sklearn
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-sklearn.

Package: python-sklearn-lib
Conflicts: python-scikits-learn-lib
Replaces: python-scikits-learn-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
Description: low-level implementations and bindings for scikit-learn
 This is an add-on package for python-sklearn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.


Package: python-scikits-learn
Depends: python-sklearn, ${misc:Depends}, ${python:Depends}
Architecture: all
Section: oldlibs
Description: transitional compatibility package for scikits.learn -> sklearn migration
 Provides old namespace (scikits.learn) and could be removed if
 dependent code migrated to use sklearn for clarity of the namespace.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE_NAME = python-sklearn
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions  -vd)

SPHINX_VER := $(shell python -c 'from sphinx import __version__; print __version__')
NODOC = $(shell dpkg --compare-versions $(SPHINX_VER) lt 10.1.3 && echo "nodoc" || echo "")
export DEB_BUILD_OPTIONS += $(NODOC)

CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)
RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.19 && echo ",autoreconf" || echo "")

# Some tests are known to fail randomly so need to be excluded ATM
NOSEARGS := 
# --exclude='test_(sparse_svc_clone_with_callable_kernel|spectral_clustering_sparse|ovr_fit_predict)'

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils --with python2$(RECONF)

cythonize:
	@echo "D: removing previously generated by Cython sources"
	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs rm
	make cython

override_dh_autoreconf:
	dh_autoreconf debian/rules -- cythonize

override_dh_clean:
	rm -rf build doc/_build doc/auto_examples *-stamp *.egg-info sklearn/datasets/__config__.py
	dh_clean

override_dh_auto_install: ${PYVERS:%=python-install%} ${PYVERS:%=python-test%}
# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests here against installed scikits.learn
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	export JOBLIB_MULTIPROCESSING=0; \
	cd build/; python$* /usr/bin/nosetests -s -v $(NOSEARGS) sklearn && \
	  { python$* /usr/bin/nosetests -v --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
else
	: # Skip unittests due to nocheck
endif


override_dh_installdocs:
	: # Build Documentation using installed scikits.learn
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 cd doc; $(MAKE) html
endif
else
	mkdir -p doc/_build/html
	echo "<HTML><BODY><P>sklearn documentation was not built.<P>Please visit <A HREF='http://scikit-learn.org'>http://scikit-learn.org</A></BODY></HTML>" >| doc/_build/html/index.html
endif
	: # Use jquery from Debian package, so prune shipped one
	-rm doc/_build/html/_static/jquery.js
	dh_installdocs -A AUTHORS.rst README*.rst

override_dh_installchangelogs:
	dh_installchangelogs doc/whats_new.rst

## move binary libraries into -lib
override_dh_python2:
	: # Move platform-specific libraries into -lib
	set -e; \
	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
	   sdir=$$(dirname $$lib) ; \
	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
	   mkdir -p $$tdir ; \
	   echo "Moving '$$lib' into '$$tdir'." ; \
	   mv $$lib $$tdir ; \
	done
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-sklearn-lib; fi
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/sklearn/scikits-learn/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done
	dh_python2

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv


## to prepare next Debian upstream source tarball
dfsg: dfsg-releases
dfsg-%:
	git checkout dfsg
	-git merge --no-commit $*
	-git rm -rf sklearn/externals/joblib
	# -git rm -f ./sklearn/svm/src/libsvm/svm.*
	git commit -m "Merge $* into DFSG (pruning externals: joblib)" -a
	git checkout debian

=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//" \
 http://github.com/scikit-learn/scikit-learn/downloads .*tarball/([\d\.a-z]+)

## scikit-learn 0.15.1

=== continuous_integration/appveyor/requirements.txt ===
# Fetch numpy and scipy wheels from the sklearn rackspace wheelhouse.
# Those wheels were generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy and scipy provide official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com/index.html
numpy
scipy
nose
nose-exclude
wheel

=== debian/changelog ===
scikit-learn (0.15.1-1ubuntu1) utopic; urgency=medium

  * Don't build depend on atlas on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 11:40:35 +0200

scikit-learn (0.15.1-1) unstable; urgency=medium

  * Fresh upstream minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Aug 2014 14:10:50 -0400

scikit-learn (0.15.0-1) unstable; urgency=medium

  * Fresh upstream release
  * Build-depend on libatlas3-base

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Jul 2014 08:39:08 -0400

scikit-learn (0.14.1-3) unstable; urgency=medium

  * Cherry-pick a workaround for FTBFS due to error in current scipy
    (Closes: #746096)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 13 May 2014 10:07:58 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libsvm-dev (>= 2.84.0),
                python-nose,
                python-matplotlib,
-               python-joblib (>= 0.4.5), python-support
+               python-joblib (>= 0.4.5), python-support,
+               libatlas3-base [!ppc64el],
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
 Standards-Version: 3.9.4

## scikit-learn 0.15.2

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
CYTHON ?= cython
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean inplace test

clean-ctags:
	rm -f tags

clean: clean-ctags
	$(PYTHON) setup.py clean
	rm -rf dist

in: inplace # just a shortcut
inplace:
	# to avoid errors in 0.15 upgrade
	rm -f sklearn/utils/sparsefuncs*.so
	rm -f sklearn/utils/random*.so
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(NOSETESTS) -s -v sklearn
test-sphinxext:
	$(NOSETESTS) -s -v doc/sphinxext/
test-doc:
	$(NOSETESTS) -s -v doc/ doc/modules/ doc/datasets/ \
	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference \
	doc/tutorial/text_analytics

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s -v --with-coverage sklearn

test: test-code test-sphinxext test-doc

trailing-spaces:
	find sklearn -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

cython:
	find sklearn -name "*.pyx" -exec $(CYTHON) {} \;

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

doc: inplace
	$(MAKE) -C doc html

doc-noplot: inplace
	$(MAKE) -C doc html-noplot

code-analysis:
	flake8 sklearn | grep -v __init__ | grep -v external
	pylint -E -i y sklearn/ -d E1103,E0611,E1101

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD  ?= sphinx-build
 PAPER         =
 BUILDDIR      = _build
 
@@ -12,7 +12,7 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex latexpdf changes linkcheck doctest
+.PHONY: help clean html dirhtml pickle json latex latexpdf changes linkcheck doctest optipng
 
 all: html-noplot
 
@@ -22,8 +22,6 @@
 	@echo "  dirhtml   to make HTML files named index.html in directories"
 	@echo "  pickle    to make pickle files"
 	@echo "  json      to make JSON files"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  qthelp    to make HTML files and a qthelp project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
 	@echo "  changes   to make an overview of all changed/added/deprecated items"
@@ -37,6 +35,10 @@
 	-rm -rf modules/generated/*
 
 html:
+	# These two lines make the build a bit more lengthy, and the
+	# the embedding of images more robust
+	rm -rf $(BUILDDIR)/html/_images
+	#rm -rf _build/doctrees/
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"
@@ -60,21 +62,6 @@
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
-
-htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
-	@echo
-	@echo "Build finished; now you can run HTML Help Workshop with the" \
-	      ".hhp project file in $(BUILDDIR)/htmlhelp."
-
-qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/scikit-learn.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/scikit-learn.qhc"
 
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
@@ -107,3 +94,9 @@
 
 download-data:
 	python -c "from sklearn.datasets.lfw import check_fetch_lfw; check_fetch_lfw()"
+
+# Optimize PNG files. Needs OptiPNG. Change the -P argument to the number of
+# cores you have available, so -P 64 if you have a real computer ;)
+optipng:
+	find _build auto_examples */generated -name '*.png' -print0 \
+	  | xargs -0 -n 1 -P 4 optipng -o10

=== continuous_integration/appveyor/requirements.txt ===
--- 
+++ 
@@ -4,8 +4,13 @@
 # This is a temporary solution. As soon as numpy and scipy provide official
 # wheel for windows we ca delete this --find-links line.
 --find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com/index.html
-numpy
-scipy
+
+# fix the versions of numpy to force the use of numpy and scipy to use the whl
+# of the rackspace folder instead of trying to install from more recent
+# source tarball published on PyPI
+numpy==1.8.1
+scipy==0.14.0
 nose
 nose-exclude
 wheel
+wheelhouse_uploader

=== debian/changelog ===
scikit-learn (0.15.2-3) unstable; urgency=medium

  * debian/patches
    - deb_skip_some_tests_on_arm -- skip two tests on armv to avoid FTBFS
    - up_workaround_buggy_pil -- workaround a bug in PIL

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Oct 2014 21:37:46 -0400

scikit-learn (0.15.2-2) unstable; urgency=medium

  * debian/rules
    - fixed version for comparison against sphinx. Now documentation should
      get built on recent releases (Closes: #760730).
      Thanks Federico Ceratto for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Sep 2014 09:47:41 -0400

scikit-learn (0.15.2-1) unstable; urgency=medium

  * Fresh upstream minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 06 Sep 2014 20:11:37 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-nose,
                python-matplotlib,
                python-joblib (>= 0.4.5), python-support,
-               libatlas3-base [!ppc64el],
+               libatlas3-base,
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 PYVER = $(shell pyversions  -vd)
 
 SPHINX_VER := $(shell python -c 'from sphinx import __version__; print __version__')
-NODOC = $(shell dpkg --compare-versions $(SPHINX_VER) lt 10.1.3 && echo "nodoc" || echo "")
+NODOC = $(shell dpkg --compare-versions $(SPHINX_VER) lt 1.1.3 && echo "nodoc" || echo "")
 export DEB_BUILD_OPTIONS += $(NODOC)
 
 CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)

## scikit-learn 0.16.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 test-sphinxext:
 	$(NOSETESTS) -s -v doc/sphinxext/
 test-doc:
-	$(NOSETESTS) -s -v doc/ doc/modules/ doc/datasets/ \
+	$(NOSETESTS) -s -v doc/*.rst doc/modules/ doc/datasets/ \
 	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference \
 	doc/tutorial/text_analytics

=== debian/changelog ===
scikit-learn (0.16.1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #792074)
  * debian/control
    - boosted policy to 3.9.6
    - properly dropped python-support, debian/rules was already
      using dh_ helpers (Closes: #786185)
  * debian/patches
    - Picked up from usptream 2 fixes:
      - changeset_190fe7347cfd6fab67f37c7535c4fa9b8f0870de.diff
        FIX Include PyFuncDistance attributes while pickling.
      - changeset_5e502596460014ed3adebe61e8189a60e72d3623.diff
        Fix signature not compatible with previous declaration
        (Closes: #791615)
    - deb_skip_some_tests_on_arm
      fixed it up (missing nose imports). Thanks Logan Rosen!
      (Closes: #773862)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jul 2015 23:26:48 -0400

scikit-learn (0.16.1-1) experimental; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Apr 2015 19:04:54 -0400

scikit-learn (0.16.0-1) experimental; urgency=medium

  * Fresh upstream release
  * debian/patches
    - deb_git_revision_cmd - use debian/github-revision.txt with github
      treeish for this release (TODO: automate)
    - deb_no_plot_gallery - do not build gallery of example plots (some
      require network and otherwise memory/cpu intensive etc)
    - deb_optional_linkcode - would not use linkcode extension if not
      available

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Mar 2015 16:11:59 -0400

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), dh-autoreconf,
-               python-all-dev (>= 2.5),
+               python-all-dev (>= 2.6.6-3~), dh-python,
                cython (>= 0.12~),
                python-setuptools,
                python-numpy, python-scipy,
                libsvm-dev (>= 2.84.0),
                python-nose,
                python-matplotlib,
-               python-joblib (>= 0.4.5), python-support,
+               python-joblib (>= 0.4.5),
                libatlas3-base,
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
-Standards-Version: 3.9.4
-XS-Python-Version: >= 2.6
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
 Vcs-Git: git://github.com/yarikoptic/scikit-learn.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_BUILD_OPTIONS += $(NODOC)
 
 CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)
-RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.19 && echo ",autoreconf" || echo "")
+RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.20.1 && echo ",autoreconf" || echo "")
 
 # Some tests are known to fail randomly so need to be excluded ATM
 NOSEARGS :=

## scikit-learn 0.17.0

=== doc/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"
 
 html-noplot:
-	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
+	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable."
 
@@ -100,3 +100,6 @@
 optipng:
 	find _build auto_examples */generated -name '*.png' -print0 \
 	  | xargs -0 -n 1 -P 4 optipng -o10
+
+dist: html latexpdf
+	cp _build/latex/user_guide.pdf _build/html/stable/_downloads/scikit-learn-docs.pdf

=== continuous_integration/appveyor/requirements.txt ===
# Fetch numpy and scipy wheels from the sklearn rackspace wheelhouse.
# Those wheels were collected from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy and scipy provide official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com/

# fix the versions of numpy to force the use of numpy and scipy to use the whl
# of the rackspace folder instead of trying to install from more recent
# source tarball published on PyPI
numpy==1.9.3
scipy==0.16.0
nose
wheel
wheelhouse_uploader

=== debian/changelog ===
scikit-learn (0.17.0-4) unstable; urgency=medium

  * debian/tests/deb_tests_lower_precision
    - lowering further to 4 decimals

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Dec 2015 08:51:29 -0500

scikit-learn (0.17.0-3) unstable; urgency=medium

  * debian/control
    - recommend python3- versions of packages for python3-sklearn. Thanks
      Christopher Baines
  * debian/rules
    - boost minimal Cython version for recythonization to 0.23.1.
      Should enable back bakckports on older Debian/Ubuntus
  * debian/tests/deb_tests_lower_precision
    - to lower precision of test_feature_importances to avoid FTBFS on some
      (BE) platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Dec 2015 21:02:16 -0500

scikit-learn (0.17.0-2) unstable; urgency=medium

  * debian/copyright
    - extended list of copyrights/licenses (Thanks Thorsten Alteholz for
      review)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Nov 2015 23:11:12 -0500

scikit-learn (0.17.0-1) unstable; urgency=medium

  * Fresh upstream release
    - should address FTBFS on 32bit and other platforms due to failing
      tests
  * debian/patches/deb_no_tinyclues_external_image
    - to not link to external images inthe documentation (privacy concern)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Nov 2015 20:47:00 -0500

scikit-learn (0.17.0~b1+git14-g4e6829c-1) unstable; urgency=medium

  * Fresh beta release + post-release fixes -- test build
    - requires joblib >= 0.9.2 (Closes: #792483)
    - if succeeds, means that failing test fixed (Closes: #797507)
  * debian/patches
    - deb_disable_google_anals to disable google tracking
    - deb_nopaypal  to refer to upstream website and not incorporate
      paypal form in the doc
    - deb_no_online_jquery  to avoid referring to online jquery
  * debian/{control,rules}
    - heavy refactoring to support python3-sklearn (Closes: #730532)
    - point to the debian branch for git repo (Closes: #792476)
    - use system-wide libjs-underscore
  * debian/compat raise to level 7 from elderly 5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Oct 2015 11:11:00 -0400

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,17 @@
                cython (>= 0.12~),
                python-setuptools,
                python-numpy, python-scipy,
-               libsvm-dev (>= 2.84.0),
                python-nose,
                python-matplotlib,
-               python-joblib (>= 0.4.5),
+               python-joblib (>= 0.9.2),
+               python3-all-dev,
+               cython3,
+               python3-setuptools,
+               python3-numpy, python3-scipy,
+               python3-nose,
+               python3-matplotlib,
+               python3-joblib (>= 0.9.2),
+               libsvm-dev (>= 2.84.0),
                libatlas3-base,
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
@@ -19,14 +26,14 @@
 X-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
-Vcs-Git: git://github.com/yarikoptic/scikit-learn.git
+Vcs-Git: git://github.com/yarikoptic/scikit-learn.git -b debian
 
 Package: python-sklearn
 Replaces: python-scikits-learn (<< 0.9~)
 Breaks: python-scikits-learn (<< 0.9~)
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
-         python-joblib (>= 0.4.5),
+         python-joblib (>= 0.9.2),
 Provides: ${python:Provides}
 Recommends: python-nose, python-matplotlib
 Suggests: python-dap, python-scikits-optimization, python-sklearn-doc, ipython
@@ -40,18 +47,6 @@
   - kNN
   - SVM (via LIBSVM)
 
-
-Package: python-sklearn-doc
-Conflicts: python-scikits-learn-doc
-Replaces: python-scikits-learn-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}, libjs-jquery
-Suggests: python-sklearn
-Description: documentation and examples for scikit-learn
- This package contains documentation and example scripts for
- python-sklearn.
-
 Package: python-sklearn-lib
 Conflicts: python-scikits-learn-lib
 Replaces: python-scikits-learn-lib
@@ -63,6 +58,47 @@
  low-level implementations and custom Python bindings for the LIBSVM
  library.
 
+Package: python3-sklearn
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-sklearn-lib(>= ${source:Version}),
+         python3-joblib (>= 0.9.2),
+Provides: ${python:Provides}
+Recommends: python3-nose, python3-matplotlib
+Suggests: python3-dap, python-sklearn-doc, ipython3
+Enhances: python3-mvpa2, python3-mdp
+Description: Python modules for machine learning and data mining
+ scikit-learn is a collection of Python modules relevant to
+ machine/statistical learning and data mining.  Non-exhaustive list of
+ included functionality:
+  - Gaussian Mixture Models
+  - Manifold learning
+  - kNN
+  - SVM (via LIBSVM)
+ .
+ This package contains the Python 3 version.
+
+Package: python3-sklearn-lib
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
+Provides: ${python:Provides}
+Description: low-level implementations and bindings for scikit-learn - Python 3
+ This is an add-on package for python-sklearn. It provides
+ low-level implementations and custom Python bindings for the LIBSVM
+ library.
+ .
+ This package contains the Python 3 version.
+
+
+Package: python-sklearn-doc
+Conflicts: python-scikits-learn-doc
+Replaces: python-scikits-learn-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Suggests: python-sklearn
+Description: documentation and examples for scikit-learn
+ This package contains documentation and example scripts for
+ python-sklearn.
 
 Package: python-scikits-learn
 Depends: python-sklearn, ${misc:Depends}, ${python:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE2_NAME = python-sklearn
PACKAGE3_NAME = python3-sklearn
PACKAGE2_ROOT_DIR = debian/${PACKAGE2_NAME}
PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions  -vd)
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

SPHINX_VER := $(shell python -c 'from sphinx import __version__; print __version__')
NODOC = $(shell dpkg --compare-versions $(SPHINX_VER) lt 1.1.3 && echo "nodoc" || echo "")
export DEB_BUILD_OPTIONS += $(NODOC)

CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)
RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.23.1 && echo ",autoreconf" || echo "")

# Some tests are known to fail randomly so need to be excluded ATM
NOSEARGS := 
# --exclude='test_(sparse_svc_clone_with_callable_kernel|spectral_clustering_sparse|ovr_fit_predict)'

# try to prevent unsunctioned downloads
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils --with python2,python3$(RECONF)

cythonize:
	@echo "D: removing previously generated by Cython sources"
	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs rm
	make cython

override_dh_autoreconf:
	dh_autoreconf debian/rules -- cythonize

override_dh_clean:
	rm -rf build doc/_build doc/auto_examples *-stamp *.egg-info sklearn/datasets/__config__.py
	dh_clean

override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
# Per Python version logic -- install, test, move .so into -lib
python-install%:
	python$* setup.py install --install-layout=deb  --root=$(CURDIR)/debian/tmp

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Run unittests here against installed scikits.learn
	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	export JOBLIB_MULTIPROCESSING=0; \
	cd build/; python$* /usr/bin/nosetests -s -v $(NOSEARGS) sklearn && \
	  { python$* /usr/bin/nosetests -v --with-doctest --doctest-extension=rst ../doc/ || : ; } # doctests are failing ATM
else
	: # Skip unittests due to nocheck
endif


override_dh_installdocs:
	: # Build Documentation using installed scikits.learn
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$(PYVER)/*`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 cd doc; $(MAKE) html
endif
else
	mkdir -p doc/_build/html
	echo "<HTML><BODY><P>sklearn documentation was not built.<P>Please visit <A HREF='http://scikit-learn.org'>http://scikit-learn.org</A></BODY></HTML>" >| doc/_build/html/index.html
endif
	: # Use jquery from Debian package, so prune shipped one
	-rm doc/_build/html/stable/_static/jquery.js
	-rm doc/_build/html/stable/_static/underscore.js
	dh_installdocs -A AUTHORS.rst README*.rst

override_dh_installchangelogs:
	dh_installchangelogs doc/whats_new.rst

## remove .so libraries from main package, and call dh_numpy*
## while removing 2 if not present
_dh_python%:
	[ ! -e debian/python$(*:2=)-sklearn ] \
	    || find debian/python$(*:2=)-sklearn/usr/lib -name "*.so" -delete;
	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -ppython$(*:2=)-sklearn-lib || :
	: # Prune scikits/__init__.py to avoid conflicts
	find debian -wholename \*scikits/__init__.py -delete
	: # Move scikits. space into a compatibility package
	if [ $* -eq 2 ]; then \
	set -e; \
	find debian -wholename \*scikits -type d | while read skd; do \
		skbd=$$(dirname $$skd); \
		skbd_=$$(echo $$skbd | sed -e 's/sklearn/scikits-learn/g'); \
		mkdir -p $$skbd_; \
		mv $$skd $$skbd_; \
	done; \
	fi
	dh_python$*

## "Instantiate" both rules so dh sees them
override_dh_python2: _dh_python2
override_dh_python3: _dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv


## to prepare next Debian upstream source tarball
dfsg: dfsg-releases
dfsg-%:
	git checkout dfsg
	-git merge --no-commit $*
	-git rm -rf sklearn/externals/joblib
	: # -git rm -f ./sklearn/svm/src/libsvm/svm.*
	git commit -m "Merge $* into DFSG (pruning externals: joblib)" -a
	git checkout debian

## scikit-learn 0.17.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,14 @@
 CYTHON ?= cython
 NOSETESTS ?= nosetests
 CTAGS ?= ctags
+
+# skip doctests on 32bit python
+BITS := $(shell python -c 'import struct; print(8 * struct.calcsize("P"))')
+
+ifeq ($(BITS),32)
+  NOSETESTS:=$(NOSETESTS) -c setup32.cfg
+endif
+
 
 all: clean inplace test
 
@@ -28,9 +36,11 @@
 test-sphinxext:
 	$(NOSETESTS) -s -v doc/sphinxext/
 test-doc:
+ifeq ($(BITS),64)
 	$(NOSETESTS) -s -v doc/*.rst doc/modules/ doc/datasets/ \
 	doc/developers doc/tutorial/basic doc/tutorial/statistical_inference \
 	doc/tutorial/text_analytics
+endif
 
 test-coverage:
 	rm -rf coverage .coverage
@@ -47,7 +57,7 @@
 ctags:
 	# make tags for symbol based navigation in emacs and vim
 	# Install with: sudo apt-get install exuberant-ctags
-	$(CTAGS) -R *
+	$(CTAGS) --python-kinds=-i -R sklearn
 
 doc: inplace
 	$(MAKE) -C doc html

=== debian/changelog ===
scikit-learn (0.17.1-2) unstable; urgency=medium

  * debian/rules
    - skip test_dump tests on arm64 to prevent FTBFS - actual resolution 
      is TODO
    - robustify use of xargs to not fail if no matches (e.g. upon rebuild)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Apr 2016 09:29:22 -0400

scikit-learn (0.17.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release
    - few patches were picked up from upstream branch to stay compatible with
      recent scipy/numpy in debian sid.
      See https://github.com/scikit-learn/scikit-learn/pull/6401

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 18 Feb 2016 20:22:31 -0500

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.23.1 && echo ",autoreconf" || echo "")
 
 # Some tests are known to fail randomly so need to be excluded ATM
-NOSEARGS := 
+# A bit aggressive exclusion of some tests which exhibit a problem I have no time to deal with on arm64
+NOSEARGS := $(shell dpkg --print-architecture | grep -q -v arm64 || echo --exclude='test_dump')
 # --exclude='test_(sparse_svc_clone_with_callable_kernel|spectral_clustering_sparse|ovr_fit_predict)'
 
 # try to prevent unsunctioned downloads
@@ -33,7 +34,7 @@
 
 cythonize:
 	@echo "D: removing previously generated by Cython sources"
-	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs rm
+	find -iname *.c | xargs -r grep -l 'Generated by Cython' | xargs -r rm
 	make cython
 
 override_dh_autoreconf:

## scikit-learn 0.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# simple makefile to simplify repetetive build env management tasks under posix
+# simple makefile to simplify repetitive build env management tasks under posix
 
 # caution: testing won't work on windows, see README
 
@@ -52,7 +52,7 @@
 	find sklearn -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;
 
 cython:
-	find sklearn -name "*.pyx" -exec $(CYTHON) {} \;
+	python build_tools/cythonize.py sklearn
 
 ctags:
 	# make tags for symbol based navigation in emacs and vim
@@ -68,3 +68,6 @@
 code-analysis:
 	flake8 sklearn | grep -v __init__ | grep -v external
 	pylint -E -i y sklearn/ -d E1103,E0611,E1101
+
+flake8-diff:
+	./build_tools/travis/flake8_diff.sh

=== debian/changelog ===
scikit-learn (0.18-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging to Debian Science team
  * Build-Depends: python-pytest, python3-pytest
    Closes: #848788

 -- Andreas Tille <tille@debian.org>  Wed, 28 Dec 2016 13:24:45 +0100

scikit-learn (0.18-4) unstable; urgency=medium

  * debian/rules
    - added cythonization (from pandas) since upstream no longer stores
      pre-generated files under GIT
    - skip test_non_meta_estimators on ppc64el to avoid FTBFS

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Oct 2016 08:24:18 -0400

scikit-learn (0.18-3) unstable; urgency=medium

  * debian/rules
    - skip some minor failing tests on i386 and armel for now

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Oct 2016 09:41:01 -0400

scikit-learn (0.18-2) unstable; urgency=medium

  * debian/patches/deb_use_system_joblib
    sklearn started to use other submodules of joblib directly, so previous
    stub for import did not work.  Now update local namespace of the stub
    entirely with definitions from joblib.__dict__  (Closes: #839348)
  * debian/rules
    - allow joblib to parallelize to 2 processes, to overcome recent joblib
      (0.10.2) bug with 0 value

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 02 Oct 2016 09:36:31 -0400

scikit-learn (0.18-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Sep 2016 21:29:45 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python-nose,
                python-matplotlib,
                python-joblib (>= 0.9.2),
+               python-pytest,
                python3-all-dev,
                cython3,
                python3-setuptools,
@@ -18,15 +19,16 @@
                python3-nose,
                python3-matplotlib,
                python3-joblib (>= 0.9.2),
+               python3-pytest,
                libsvm-dev (>= 2.84.0),
                libatlas3-base,
 Build-Depends-Indep:
                python-sphinx (>= 1.0), python-imaging, graphviz,
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/scikit-learn.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/scikit-learn.git
 Homepage: http://scikit-learn.sourceforge.net
-Vcs-Browser: http://github.com/yarikoptic/scikit-learn
-Vcs-Git: git://github.com/yarikoptic/scikit-learn.git -b debian
 
 Package: python-sklearn
 Replaces: python-scikits-learn (<< 0.9~)
